enum UserBaseRole {
  ADMIN
  USER
}

type User @table(name: "users") {
  id: String!                    # user_id / uid de Firebase
  email: String!
  fullName: String! 
  role: UserBaseRole! 
  userRole: String
  photoUrl: String              
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
